<?php
	$Position   = '../';
	require_once($Position.'config/config.php');
	require_once($Position.'config/conexion.php');
	require_once($Position.'funciones/funciones.php');
	require_once($Position.'funciones/extras.php');
	require_once($Position.'PhpExcel/Classes/PHPExcel.php');

	// $Id = $_GET['Id'];
	// if( $Id ){

		$archivo = "a.xlsx";
		$inputFileType = PHPExcel_IOFactory::identify($archivo);
		$objReader = PHPExcel_IOFactory::createReader($inputFileType);
		$objPHPExcel = $objReader->load($archivo);
		$sheet = $objPHPExcel->getSheet(0);
		$highestRow = $sheet->getHighestRow();
		$highestColumn = $sheet->getHighestColumn();

		for ($row = 2; $row <= $highestRow; $row++){

				$A 	= $sheet->getCell("A".$row)->getValue();
				$B 	= $sheet->getCell("B".$row)->getValue();
				$C 	= $sheet->getCell("C".$row)->getValue();
				$D 	= $sheet->getCell("D".$row)->getValue();
				$E 	= $sheet->getCell("E".$row)->getValue();
				$F 	= $sheet->getCell("F".$row)->getValue();
				$G 	= $sheet->getCell("G".$row)->getValue();
				$H	= $sheet->getCell("H".$row)->getValue();
				$I 	= $sheet->getCell("I".$row)->getValue();


				if( $A ){

          $Query = "
      			SELECT
      				pro.Id
      			FROM KB_Productos pro
      			WHERE pro.Clave = '$A'
      		";
      	  $Result = mysqli_query($mysqli, $Query);
      	  $Check = mysqli_fetch_assoc($Result);

          if( $Check[Id] ){}else{
  					//Insertar Participantes
  					echo $Query = "
  	          INSERT INTO KB_Productos
  	          (
  	            Clave, Nombre, Descripcion,
                Fk_Categoria, ClaveCategoria,
                Fk_Unidad, ClaveUnidad,
                Existencia, Costo, Precio,
                UnidadesCompletas
  	           )
  	        	VALUES
  	          (
  	            '$A', '$B', '$B',
                '0', '0',
                '1', 'H87',
                '0', '$C', '$F',
                '1'
  	          )
  	        ";
  	        $Result = mysqli_query($mysqli, $Query);
  					echo "<hr>";
          }

				}

		}

	// }

?>
